BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


Summary:        Java extensions for DocBook XSL
Name:           docbook-xsl-java
Version:        1.67.0
Release:        alt1_2jpp1.7
Epoch:          0
Group:          Development/Java
License:        Distributable
URL:            http://docbook.sourceforge.net/
Source:         http://download.sf.net/docbook/docbook-xsl-1.67.0.tar.bz2
Patch0:         %{name}-crosslink.patch

BuildArch:      noarch
BuildRequires: ant xalan-j2 xerces-j2 saxon >= 0:6.4.3
BuildRequires: jpackage-utils >= 0:1.5 xalan-j2-javadoc saxon-javadoc

%description
Java extensions for DocBook XSL Stylesheets.

%package        xalan
Group:          Development/Java
Summary:        Xalan extensions for DocBook XSL
Requires: xalan-j2 xerces-j2

%description    xalan
Xalan extensions for DocBook XSL.

%package        saxon
Group:          Development/Java
Summary:        SAXON extensions for DocBook XSL
Requires: saxon >= 0:6.4.3

%description    saxon
SAXON extensions for DocBook XSL.

%package        xalan-javadoc
Group:          Development/Documentation
Summary:        Javadoc for Xalan extensions for DocBook XSL

%description    xalan-javadoc
Javadoc for Xalan extensions for DocBook XSL.

%package        saxon-javadoc
Group:          Development/Documentation
Summary:        Javadoc for SAXON extensions for DocBook XSL

%description    saxon-javadoc
Javadoc for SAXON extensions for DocBook XSL.


%prep
%setup -q -n docbook-xsl-%{version}
%patch0 -p0
rm -rf extensions/*.jar extensions/docs


%build
pushd extensions
CLASSPATH=%(build-classpath xalan-j2 xerces-j2 saxon) ant \
  -Dj2se.javadoc=%{_javadocdir}/java \
  -Dxalan.javadoc=%{_javadocdir}/xalan-j2 \
  -Dsaxon.javadoc=%{_javadocdir}/saxon
popd


%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p extensions/build/lib/docbook-xsl-xalan.jar \
  $RPM_BUILD_ROOT/%{_javadir}/docbook-xsl-xalan-%{version}.jar
cp -p extensions/build/lib/docbook-xsl-saxon.jar \
  $RPM_BUILD_ROOT/%{_javadir}/docbook-xsl-saxon-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-xalan-%{version}
cp -pr extensions/build/api/xalan/* \
  $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-xalan-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-saxon-%{version}
cp -pr extensions/build/api/saxon/* \
  $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-saxon-%{version}
# ghost symlinks
pushd $RPM_BUILD_ROOT%{_javadocdir}
ln -s docbook-xsl-xalan-%{version} docbook-xsl-xalan
ln -s docbook-xsl-saxon-%{version} docbook-xsl-saxon
popd


%post xalan-javadoc
rm -f %{_javadocdir}/docbook-xsl-xalan
rm -f %{_javadocdir}/%{name}-xalan # buggy old packages
ln -s docbook-xsl-xalan-%{version} %{_javadocdir}/docbook-xsl-xalan

%post saxon-javadoc
rm -f %{_javadocdir}/docbook-xsl-saxon
rm -f %{_javadocdir}/%{name}-saxon # buggy old package
ln -s docbook-xsl-saxon-%{version} %{_javadocdir}/docbook-xsl-saxon


%files xalan
%doc extensions/xalan2/com/nwalsh/xalan/ChangeLog
%{_javadir}/docbook-xsl-xalan*.jar

%files saxon
%doc extensions/saxon643/com/nwalsh/saxon/ChangeLog
%{_javadir}/docbook-xsl-saxon*.jar

%files xalan-javadoc
%doc %{_javadocdir}/docbook-xsl-xalan-%{version}
%ghost %doc %{_javadocdir}/docbook-xsl-xalan

%files saxon-javadoc
%doc %{_javadocdir}/docbook-xsl-saxon-%{version}
%ghost %doc %{_javadocdir}/docbook-xsl-saxon


%changelog
* Fri Jun 08 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.67.0-alt1_2jpp1.7
- converted from JPackage by jppimport script

